%%
clear all;
clc;
load database.mat
load resulttable.mat
Dcrit=double(resulttable(end,end));
D=database.Dbase;
v=database.vbase;
Stk=database.Stkbase;

matrix=[D,v,Stk];
matrix(matrix(:,1)==0,:)=[];
%%
%Stk plot
        string0="Stk < 0.001" ;
        string1="0.001 < Stk < 0.01" ;
        string2="0.01 < Stk < 0.1";
        string3="0.1 < Stk < 1";
        string4="1 < Stk < 10";
        string5="10 < Stk < 100";
        string6="100 < Stk ";

s=figure('Renderer', 'painters', 'Position', [0 0 500 600]);
subplot(2,1,1,'Position',[0.15 0.62 0.775 0.35]);
set(gca,'fontname','times','fontsize',10);
xline(Dcrit)
hold on
matrix0=matrix;
matrix0(matrix0(:,3)>0.001,:)=[];
plot(matrix0(:,1),matrix0(:,2), '.','Color', '#000000');
      hold on
matrix1=matrix;
matrix1(matrix1(:,3)<=0.001,:)=[];
matrix1(matrix1(:,3)>0.01,:)=[];
plot(matrix1(:,1),matrix1(:,2), '.','Color', '#0072BD');
      hold on
matrix2=matrix;
matrix2(matrix2(:,3)<=0.01,:)=[];
matrix2(matrix2(:,3)>0.1,:)=[];
plot(matrix2(:,1),matrix2(:,2), '.','Color', '#4DBEEE');
      hold on
matrix3=matrix;
matrix3(matrix3(:,3)<=0.1,:)=[];
matrix3(matrix3(:,3)>1,:)=[];
plot(matrix3(:,1),matrix3(:,2), '.','Color', '#77AC30');
      hold on
matrix4=matrix;
matrix4(matrix4(:,3)<=1,:)=[];
matrix4(matrix4(:,3)>10,:)=[];
plot(matrix4(:,1),matrix4(:,2), '.','Color', '#EDB120');
      hold on
matrix5=matrix;
matrix5(matrix5(:,3)<=10,:)=[];
matrix5(matrix5(:,3)>100,:)=[];
plot(matrix5(:,1),matrix5(:,2), '.','Color', '#D95319');
      hold on
matrix6=matrix;
matrix6(matrix6(:,3)<=100,:)=[];
plot(matrix6(:,1),matrix6(:,2), '.','Color', '#A2142F'); 
ylabel('\it{v} \rm{[m/s]}');
xlabel('\it{D} \rm{[m]}');
title("Original data");
      legend('\it{D}_{\rm{crit,0.1}}',string0, string1,string2,string3,string4,string5,string6,'Location','southeast',...
         'Position',[0.1 0.045 0.82 0.07],'NumColumns',3,'fontname','times','fontsize',11);
     legend("boxoff");
      y1=ylim;
      box on
      
%%
load datafilt.mat
Stk=datafilt.Stkfilt;
D=datafilt.Dfilt;
v=datafilt.vfilt;

matrix=[D,v,Stk];
matrix(matrix(:,1)==0,:)=[];
%%
%Stk plot
subplot(2,1,2,'Position',[0.15 0.17 0.775 0.35]);
        string0="Stk < 0.001" ;
        string1="0.001 < Stk < 0.01" ;
        string2="0.01 < Stk < 0.1";
        string3="0.1 < Stk < 1";
        string4="1 < Stk < 10";
        string5="10 < Stk < 100";
        string6="100 < Stk "; 
set(gca,'fontname','times','fontsize',10);
xline(Dcrit)
hold on
matrix0=matrix;
matrix0(matrix0(:,3)>0.001,:)=[];
plot(matrix0(:,1),matrix0(:,2), '.','Color', '#000000');
      hold on
matrix1=matrix;
matrix1(matrix1(:,3)<=0.001,:)=[];
matrix1(matrix1(:,3)>0.01,:)=[];
plot(matrix1(:,1),matrix1(:,2), '.','Color', '#0072BD');
      hold on
matrix2=matrix;
matrix2(matrix2(:,3)<=0.01,:)=[];
matrix2(matrix2(:,3)>0.1,:)=[];
plot(matrix2(:,1),matrix2(:,2), '.','Color', '#4DBEEE');
      hold on
matrix3=matrix;
matrix3(matrix3(:,3)<=0.1,:)=[];
matrix3(matrix3(:,3)>1,:)=[];
plot(matrix3(:,1),matrix3(:,2), '.','Color', '#77AC30');
      hold on
matrix4=matrix;
matrix4(matrix4(:,3)<=1,:)=[];
matrix4(matrix4(:,3)>10,:)=[];
plot(matrix4(:,1),matrix4(:,2), '.','Color', '#EDB120');
      hold on
matrix5=matrix;
matrix5(matrix5(:,3)<=10,:)=[];
matrix5(matrix5(:,3)>100,:)=[];
plot(matrix5(:,1),matrix5(:,2), '.','Color', '#D95319');
      hold on
matrix6=matrix;
matrix6(matrix6(:,3)<=100,:)=[];
plot(matrix6(:,1),matrix6(:,2), '.','Color', '#A2142F'); 
ylabel('\it{v} \rm{[m/s]}');
xlabel('\it{D} \rm{[m]}');
title("Filtered data");
      ylim(y1);
      box on

      exportgraphics(s,'D-v.jpg','Resolution',1000)